<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLivesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: lives
         */
        Schema::create('lives', function ($table) {
            $table->increments('id');
            $table->text('name')->nullable();
            $table->text('icon')->nullable();
            $table->string('video_link', 255)->nullable();
            $table->text('video_title')->nullable();
            $table->text('slug')->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->integer('user_id')->nullable();
            $table->text('user_type')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('lives');
    }
}
