<?php

namespace Futage\Live\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LiveTransformer extends TransformerAbstract
{
    public function transform(\Futage\Live\Models\Live $live)
    {
        return [
            'id'                => $live->getRouteKey(),
            'key'               => [
                'public'    => $live->getPublicKey(),
                'route'     => $live->getRouteKey(),
            ], 
            'id'                => $live->id,
            'name'              => $live->name,
            'icon'              => $live->icon,
            'video_link'        => $live->video_link,
            'video_title'       => $live->video_title,
            'slug'              => $live->slug,
            'status'            => $live->status,
            'user_id'           => $live->user_id,
            'user_type'         => $live->user_type,
            'created_at'        => $live->created_at,
            'updated_at'        => $live->updated_at,
            'deleted_at'        => $live->deleted_at,
            'url'               => [
                'public'    => trans_url('live/'.$live->getPublicKey()),
                'user'      => guard_url('live/live/'.$live->getRouteKey()),
            ], 
            'status'            => trans('app.'.$live->status),
            'created_at'        => format_date($live->created_at),
            'updated_at'        => format_date($live->updated_at),
        ];
    }
}